Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MissingMethodExceptionNoStack

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingMethodException
                          org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

    public class MissingMethodExceptionNoStack
    extends MissingMethodException

Constructor Summary
`MissingMethodExceptionNoStack(String method, Class type, Object[] arguments)`
`MissingMethodExceptionNoStack(String method, Class type, Object[] arguments, boolean isStatic)`

Method Summary
`Throwable` | `fillInStackTrace()`

Methods inherited from class MissingMethodException
getArguments, getMessage, getMethod, getType, isStatic

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(String method, Class type, Object[] arguments)

### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(String method, Class type, Object[] arguments, boolean isStatic)

Method Detail

### fillInStackTrace

    public Throwable fillInStackTrace()

Copyright © 2003-2010 The Codehaus. All rights reserved.